org.red5.server.net.rtmp.message

## Class Header

- java.lang.Object
- - org.red5.server.net.rtmp.message.Header

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Constants

    public class Header
    extends Object
    implements Constants, Cloneable, Externalizable

RTMP packet header

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.red5.server.net.rtmp.message.Constants

`HANDSHAKE_SIZE, HEADER_CONTINUE, HEADER_NEW, HEADER_SAME_SOURCE, HEADER_TIMER_CHANGE, MEDIUM_INT_MAX, SO_CLIENT_CLEAR_DATA, SO_CLIENT_DELETE_DATA, SO_CLIENT_INITIAL_DATA, SO_CLIENT_SEND_MESSAGE, SO_CLIENT_STATUS, SO_CLIENT_UPDATE_ATTRIBUTE, SO_CLIENT_UPDATE_DATA, SO_CONNECT, SO_DELETE_ATTRIBUTE, SO_DISCONNECT, SO_SEND_MESSAGE, SO_SET_ATTRIBUTE, SOURCE_TYPE_LIVE, SOURCE_TYPE_VOD, TYPE_ABORT, TYPE_AGGREGATE, TYPE_AUDIO_DATA, TYPE_BYTES_READ, TYPE_CHUNK_SIZE, TYPE_CLIENT_BANDWIDTH, TYPE_EDGE_ORIGIN, TYPE_FLEX_MESSAGE, TYPE_FLEX_SHARED_OBJECT, TYPE_FLEX_STREAM_SEND, TYPE_INVOKE, TYPE_NOTIFY, TYPE_PING, TYPE_SERVER_BANDWIDTH, TYPE_SHARED_OBJECT, TYPE_STREAM_METADATA, TYPE_VIDEO_DATA`

### Constructor Summary

Constructors
Constructor and Description
`Header()`

### Method Summary

Methods
`Header` `clone()`
`boolean` `equals(Object other)`
`int` `getChannelId()` Getter for channel id
`byte` `getDataType()` Getter for data type
`int` `getExtendedTimestamp()` Getter for Extended Timestamp
`int` `getSize()` Getter for size.
`int` `getStreamId()` Getter for stream id
`int` `getTimer()` Getter for timer
`int` `getTimerBase()`
`int` `getTimerDelta()`
`boolean` `isGarbage()`
`void` `readExternal(ObjectInput in)`
`void` `setChannelId(int channelId)` Setter for channel id
`void` `setDataType(byte dataType)` Setter for data type
`void` `setExtendedTimestamp(int extendedTimestamp)` Setter for Extended Timestamp
`void` `setIsGarbage(boolean isGarbage)`
`void` `setSize(int size)` Setter for size
`void` `setStreamId(int streamId)` Setter for stream id
`void` `setTimer(int timer)` Setter for timer
`void` `setTimerBase(int timerBase)`
`void` `setTimerDelta(int timerDelta)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Header

    public Header()

### Method Detail

#### getChannelId

    public int getChannelId()

Getter for channel id

Returns:
  Channel id

#### setChannelId

    public void setChannelId(int channelId)

Setter for channel id

Parameters:
  `channelId` - Header channel id

#### getDataType

    public byte getDataType()

Getter for data type

Returns:
  Data type

#### setDataType

    public void setDataType(byte dataType)

Setter for data type

Parameters:
  `dataType` - Data type

#### getSize

    public int getSize()

Getter for size.

Returns:
  Header size

#### setSize

    public void setSize(int size)

Setter for size

Parameters:
  `size` - Header size

#### getStreamId

    public int getStreamId()

Getter for stream id

Returns:
  Stream id

#### setStreamId

    public void setStreamId(int streamId)

Setter for stream id

Parameters:
  `streamId` - Stream id

#### getExtendedTimestamp

    public int getExtendedTimestamp()

Getter for Extended Timestamp

Returns:
  Extended Timestamp

#### setExtendedTimestamp

    public void setExtendedTimestamp(int extendedTimestamp)

Setter for Extended Timestamp

Parameters:
  `extendedTimestamp` - Extended Timestamp

#### getTimer

    public int getTimer()

Getter for timer

Returns:
  Timer

#### setTimer

    public void setTimer(int timer)

Setter for timer

Parameters:
  `timer` - Timer

#### setTimerDelta

    public void setTimerDelta(int timerDelta)

#### getTimerDelta

    public int getTimerDelta()

#### setTimerBase

    public void setTimerBase(int timerBase)

#### getTimerBase

    public int getTimerBase()

#### setIsGarbage

    public void setIsGarbage(boolean isGarbage)

#### isGarbage

    public boolean isGarbage()

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### clone

    public Header clone()

Overrides:
  `clone` in class `Object`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`